Bug 751265 - Python client 1.3.2 should depend on python-polib>=0.7.0-2
Python client 1.3.2 should depend on python-polib>=0.7.0-2
Status: CLOSED NOTABUG
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Ni
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-04 01:05 EDT by Ding-Yi Chen
Modified: 2011-11-06 22:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-06 22:50:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-11-04 01:05:14 EDT
Description of problem:
Spec of zanata-python-client-1.3.2-1 does not state that python-polib>=0.7.0-2 is required. Consequently, user may experience problem when pushing pot/po file with message context (msgctxt)


Version-Release number of selected component (if applicable):
zanata-python-client-1.3.2-1

How reproducible:
Always

Actual results:
python-polib>=0.7.0-2 is not enforced.

Expected results:
python-polib>=0.7.0-2 should be not enforced.

Additional info:
Comment 1 James Ni 2011-11-06 20:52:39 EST
Hi Ding

I check the spec file of zanata-python-client-1.3.2-1, i do state that python-polib>=0.7.0-2 for all the platform, Could you give me more info about that?

BTW, your description said 
"
Actual results:
python-polib>=0.7.0-2 is not enforced.

Expected results:
python-polib>=0.7.0-2 should be not enforced.
"
so do you want python-polib>=0.7.0-2 be enforced or not?
Comment 2 Ding-Yi Chen 2011-11-06 22:50:24 EST
I've checked the your spec file, and, yes, it has python-polib>=0.7.0-2.

Thus I make this as NOTABUG. Sorry about the inconvenient.

Note You need to log in before you can comment on or make changes to this bug.